#### Previous topic

scipy.fftpack.fftfreq

#### Next topic

scipy.fftpack.convolve.convolve

# scipy.fftpack.rfftfreq

`scipy.fftpack.``rfftfreq`(n, d=1.0)

  DFT sample frequencies (for usage with rfft, irfft).

  The returned float array contains the frequency bins in cycles/unit (with zero at the start) given a window length n and a sample spacing d:

      f = [0,1,1,2,2,...,n/2-1,n/2-1,n/2]/(d*n)   if n is even
      f = [0,1,1,2,2,...,n/2-1,n/2-1,n/2,n/2]/(d*n)   if n is odd

  Parameters:

  n : int

  > Window length.

  d : scalar, optional

  > Sample spacing. Default is 1.

  Returns:

  out : ndarray

  > The array of length n, containing the sample frequencies.

  Examples

      >>> from scipy import fftpack
      >>> sig = np.array([-2, 8, 6, 4, 1, 0, 3, 5], dtype=float)
      >>> sig_fft = fftpack.rfft(sig)
      >>> n = sig_fft.size
      >>> timestep = 0.1
      >>> freq = fftpack.rfftfreq(n, d=timestep)
      >>> freq
      array([ 0.  ,  1.25,  1.25,  2.5 ,  2.5 ,  3.75,  3.75,  5.  ])